// ProObjArc.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
//#include "FDExtern.h"
#include "DynamicDraw.h"
#include "ProObjArc.h"
#include "ObjArc.h"	// For FDOA_**.
#include <math.h>	// for asin, sin.
#include "UtilMisc.h"	// For M_PI.

// 98.09.15  1_xZkqqHx_iNhDiNoNiPjM_xHqqkZx_ ()
//#define	M_PI 3.14159265358979323846264338327950288419716939937510

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCProObjArc _xZkqqHx_iDhGiDiNiDhAiDgFiDeC_xHqqkZx_ _xZkqqHx_iDhJiBfLiDfH_xHqqkZx_

IMPLEMENT_DYNCREATE(CFCProObjArc, CFCProObjProperty)

CFCProObjArc::CFCProObjArc () : CFCProObjProperty(CFCProObjArc::IDD)
{
	//{{AFX_DATA_INIT(CFCProObjArc)
	//}}AFX_DATA_INIT

	// _xZkqqHx_iDiBiDgCiDfKiBfLiDfHiPiIjHjNjCiGiCmMiDhEiDiJiDePiCpAjAnNjCoIiBeC_xHqqkZx_
	m_bProhibitMsg = TRUE;
} // CFCProObjArc::CFCProObjArc.

CFCProObjArc::~CFCProObjArc ()
{
} // CFCProObjArc::~CFCProObjArc.

void CFCProObjArc::DoDataExchange(CDataExchange* pDX)
{
	CFCProObjProperty::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCProObjArc)
	//}}AFX_DATA_MAP
} // CFCProObjArc::DoDataExchange.


BEGIN_MESSAGE_MAP(CFCProObjArc, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCProObjArc)
	ON_EN_CHANGE(IDC_ARC_EDT_ARC_BGN_R, OnChangeArcEdtArcBgnR)
	ON_EN_CHANGE(IDC_ARC_EDT_ARC_END_R, OnChangeArcEdtArcEndR)
	ON_CBN_SELCHANGE(IDC_ARC_CMB_TYPE, OnSelchangeArcCmbType)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	ON_WM_CTLCOLOR()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

